Ошибки Apt / Package после dist-upgrade - proUbuntu
1 голос
/

Ран apt-get dist-upgrade и продолжайте получать приведенную ниже ошибку при попытке запустить что-нибудь еще.Также включены текущие пакеты ниже.Любая помощь приветствуется.

# apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 37 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-4.4.0-159-generic (4.4.0-159.187) ...
Processing triggers for linux-image-4.4.0-159-generic (4.4.0-159.187) ...
/etc/kernel/postinst.d/initramfs-tools:
/etc/kernel/postinst.d/initramfs-tools: 33: /etc/kernel/postinst.d/initramfs-tools: update-initramfs: not found
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 127
dpkg: error processing package linux-image-4.4.0-159-generic (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.4.0-159-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

# sudo dpkg --get-selections | grep linux
libselinux1:amd64               install
linux-base                  install
linux-firmware                  install
linux-generic                   install
linux-headers-3.13.0-24             install
linux-headers-3.13.0-24-generic         install
linux-headers-4.4.0-159             install
linux-headers-4.4.0-159-generic         install
linux-headers-generic               install
linux-image-3.13.0-24-generic           deinstall
linux-image-4.4.0-159-generic           install
linux-image-extra-3.13.0-24-generic     deinstall
linux-image-generic             install
linux-libc-dev:amd64                install
linux-modules-4.4.0-159-generic         install
linux-modules-extra-4.4.0-159-generic       install
util-linux                  install
...